Package com.independentsoft.office.drawing

# Enum Class PresetMaterialType

java.lang.Object
java.lang.Enum<PresetMaterialType>
com.independentsoft.office.drawing.PresetMaterialType

All Implemented Interfaces:
  `Serializable`, `Comparable<PresetMaterialType>`, `Constable`

public enum PresetMaterialType extends Enum<PresetMaterialType>
The Enum PresetMaterialType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLEAR`
  `DARK_EDGE`
  `FLAT`
  `LEGACY_MATTE`
  `LEGACY_METAL`
  `LEGACY_PLASTIC`
  `LEGACY_WIREFRAME`
  `MATTE`
  `METAL`
  `NONE`
  `PLASTIC`
  `POWDER`
  `SOFT_EDGE`
  `SOFT_METAL`
  `TRANSLUCENT_POWDER`
  `WARM_MATTE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresetMaterialType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresetMaterialType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLEAR

    public static final PresetMaterialType CLEAR

  - ### DARK_EDGE

    public static final PresetMaterialType DARK_EDGE

  - ### FLAT

    public static final PresetMaterialType FLAT

  - ### LEGACY_MATTE

    public static final PresetMaterialType LEGACY_MATTE

  - ### LEGACY_METAL

    public static final PresetMaterialType LEGACY_METAL

  - ### LEGACY_PLASTIC

    public static final PresetMaterialType LEGACY_PLASTIC

  - ### LEGACY_WIREFRAME

    public static final PresetMaterialType LEGACY_WIREFRAME

  - ### MATTE

    public static final PresetMaterialType MATTE

  - ### METAL

    public static final PresetMaterialType METAL

  - ### PLASTIC

    public static final PresetMaterialType PLASTIC

  - ### POWDER

    public static final PresetMaterialType POWDER

  - ### SOFT_EDGE

    public static final PresetMaterialType SOFT_EDGE

  - ### SOFT_METAL

    public static final PresetMaterialType SOFT_METAL

  - ### TRANSLUCENT_POWDER

    public static final PresetMaterialType TRANSLUCENT_POWDER

  - ### WARM_MATTE

    public static final PresetMaterialType WARM_MATTE

  - ### NONE

    public static final PresetMaterialType NONE

- ## Method Details

  - ### values

    public static PresetMaterialType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresetMaterialType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null